package com.mx.cneeds.server.datashow;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @ClassName DatashowApplication
 * @Author zzrdark
 * @Date 2020-01-07 17:48
 * @Description TODO
 **/
@SpringBootApplication
@EnableEurekaClient
@EnableSwagger2
@EnableFeignClients
@Slf4j
public class DatashowApplication {
    public static void main(String[] args) {

        try {
            SpringApplication.run(DatashowApplication.class);

        } catch (Exception e) {
            e.printStackTrace();
            // （推荐）如果项目中存在日志框架，可以通过日志框架打印
            log.debug("the exception is {}", e.getMessage(), e);
        }
    }
}
